package main

import (
	"fmt"
	"io"
	"os"
)

func printIconTest() {
	printIconTestTo(os.Stdout)
}

func printIconTestTo(w io.Writer) {
	entries := []struct {
		Label string
		Icon  string
	}{
		{Label: "Clear/Sunny (Day)", Icon: "\ue30d"},
		{Label: "Clear/Sunny (Night)", Icon: "\ue32b"},
		{Label: "Partly/Mostly Sunny (Day)", Icon: "\ue30c"},
		{Label: "Partly/Mostly Sunny (Night)", Icon: "\ue379"},
		{Label: "Cloudy/Overcast", Icon: "\ue312"},
		{Label: "Rain", Icon: "\ue318"},
		{Label: "Snow", Icon: "\ue31a"},
		{Label: "Thunderstorm", Icon: "\ue31d"},
		{Label: "Rain Percent Chance", Icon: "\ue371"},
		{Label: "Snow Percent Chance", Icon: "\uf2dc"},
	}

	for _, entry := range entries {
		fmt.Fprintf(w, "%s\t%s\n", entry.Icon, entry.Label)
	}
}
